--/*
--*****************************************************************************
--**
--**  This device driver was created by Applilet for the V850ES/JG2 and V850ES/JJ2
--**  32-Bit Single-Chip Microcontrollers
--**
--**  Copyright(C) NEC Electronics Corporation  2002-2006
--**  All rights reserved by NEC Electronics Corporation.
--**
--**  This program should be used on your own responsibility.
--**  NEC Electronics Corporation  assumes no responsibility for any losses incurred
--**  by customers or third parties arising from the use of this file.
--**
--**  Filename : inttab.s
--**  Abstract : This file implements interrupt vector table
--**  APIlib:    v850esJx2.lib V1.70 [7 Dec. 2006]
--**
--*****************************************************************************
--*/

--INT vector

---------------------------------------------------------------------
--	variable initiate
---------------------------------------------------------------------

	--.section "RESET", text
	--jr      __start
	.section "NMI", text			--nmi pin input
	reti
	.section "INTWDT2", text		--WDT2 OVF nonmaskable
	reti

	.section "TRAP00", text			--TRAP instruction
	.globl	__trap00
__trap00:
	reti

	.section "TRAP10", text			--TRAP instruction
	.globl	__trap01
__trap01:
	reti

	.section "INTLVI", text			--INTLVI
	reti
	.section "INTP0", text			--INTP0 pin
	reti
	.section "INTP1", text			--INTP1 pin
	reti

	.section "INTP2", text			--INTP2 pin
	reti

	.section "INTP3", text			--INTP3 pin
	reti

	.section "INTP4", text			--INTP4 pin
	reti

	.section "INTP5", text			--INTP5 pin
	reti

	.section "INTP6", text			--INTP6 pin
	reti

	.section "INTP7", text			--INTP7 pin
	reti
	.section "INTTQ0OV", text		--TQ0OV
	reti
	.section "INTTQ0CC0", text		--TQ0CC0
	reti
	.section "INTTQ0CC1", text		--TQ0CC1
	reti
	.section "INTTQ0CC2", text		--TQ0CC2
	reti
	.section "INTTQ0CC3", text		--TQ0CC3
	reti
	.section "INTTP0OV", text		--TP0OV
	reti
	.section "INTTP0CC0", text		--TP0CC0
	reti
	.section "INTTP0CC1", text		--TP0CC1
	reti
	.section "INTTP1OV", text		--TP1OV
	reti
	.section "INTTP1CC0", text		--TP1CC0
	reti
	.section "INTTP1CC1", text		--TP1CC1
	reti
	.section "INTTP2OV", text		--TP2OV
	reti
	.section "INTTP2CC0", text		--TP2CC0
	reti
	.section "INTTP2CC1", text		--TP2CC1
	reti
	.section "INTTP3OV", text		--TP3OV
	reti
	.section "INTTP3CC0", text		--TP3CC0
	reti
	.section "INTTP3CC1", text		--TP3CC1
	reti
	.section "INTTP4OV", text		--TP4OV
	reti
	.section "INTTP4CC0", text		--TP4CC0
	reti
	.section "INTTP4CC1", text		--TP4CC1
	reti
	.section "INTTP5OV", text		--TP5OV
	reti
	.section "INTTP5CC0", text		--TP5CC0
	reti
	.section "INTTP5CC1", text		--TP5CC1
	reti
	.section "INTTM0EQ0", text		--TM0EQ0
	reti
	.section "INTIIC1", text		--INTCB0R/INTIIC1
	reti
	.section "INTCB1R", text		--INTCB1R
	reti
	.section "INTCB1T", text		--INTCB1T
	reti
	.section "INTCB2R", text		--INTCB2R
	reti
	.section "INTCB2T", text		--INTCB2T
	reti
	.section "INTCB3R", text		--INTCB3R
	reti
	.section "INTCB3T", text		--INTCB3T
	reti
--	.section "INTCB4R", text		--INTUA0R/INTCB4R
--	reti
--	.section "INTCB4T", text		--INTUA0T/INTCB4T
--	reti
--	.section "INTIIC2", text		--INTUA1R/INTIIC2
--	reti
--	.section "INTUA1T", text		--INTUA1T
--	reti
	.section "INTIIC0", text		--INTUA2R/INTIIC0
	reti
	.section "INTUA2T", text		--INTUA2T
	reti
	.section "INTAD", text			--INTAD
	reti
	.section "INTDMA0", text		--INTDMA0
	reti
	.section "INTDMA1", text		--INTDMA1
	reti
	.section "INTDMA2", text		--INTDMA2
	reti
	.section "INTDMA3", text		--INTDMA3
	reti
	.section "INTKR", text			--INTKR
	reti
	.section "INTWTI", text			--INTWTI
	reti
	.section "INTWT", text			--INTWT
	reti

-- end of file

