/*
*****************************************************************************
**
**  This device driver was created by Applilet for the V850ES/JG2 and V850ES/JJ2
**  32-Bit Single-Chip Microcontrollers
**
**  Copyright(C) NEC Electronics Corporation 2002-2006
**  All rights reserved by NEC Electronics Corporation
**
**  This program should be used on your own responsibility.
**  NEC Electronics Corporation assumes no responsibility for any losses incurred
**  by customers or third parties arising from the use of this file.
**
**  Filename : main.c
**  Abstract : This file implements main function
**  APIlib :   V850ESJx2.lib V1.70 [7 Dec. 2006]
**
**  Device:  uPD70F3716
**
**  Compiler:  NEC/CA850
**
*****************************************************************************
*/
/*
** **************************************************************************
** Include files
** **************************************************************************
*/
#include	<stdio.h>
#include	"macrodriver.h"
#include	"uart.h"
#include	"timer.h"
#include	"port.h"
#include	"etc.h"
/*
** **************************************************************************
** MacroDefine
** **************************************************************************
*/
extern unsigned long _S_romp;

/*
**---------------------------------------------------------------------------
**
**  Abstract:
**	Init every Macro
**
**  Parameters:
**	None
**
**  Returns:
**	None
**
**---------------------------------------------------------------------------
*/
void  SystemInit( void )
{
	_rcopy(&_S_romp, -1);

	ClrIORBit(DCHC0, 0x1);		/* disable dma0 - dma3 */
	ClrIORBit(DCHC1, 0x1);
	ClrIORBit(DCHC2, 0x1);
	ClrIORBit(DCHC3, 0x1);

	VSWC = 0x01;			/* mainclock (2MHz, 16.6MHz) 1wait */

	__DI( );			/* disable interrupt */

	PORT_Init( );			/* Port initiate */
#if RS0 == 1
	uart0_init(br115200, 7, 8,0,1);	// UART0 initiate
#endif
#if RS1 == 1
	uart1_init(br115200, 7, 8,0,1);	// UART1 initiate
#endif
#if RS == 1
	uart2_init(br115200, 7, 8,0,1);	// UART2 initiate
#endif
//	vfd_init(br230400, 7, 8,0,1);	// CSIB2 initiate	CSIB2_Init
	TMM_Init();			/* TMM initiate */
	__EI( );			/* enable interrupt */
}

/*
**---------------------------------------------------------------------------
**
**  Abstract:
**		main function
**
**  Parameters:
**		None
**
**  Returns:
**		None
**
**---------------------------------------------------------------------------
*/
void  main( void )
{
	char	cmd,data,ibuf[16];
	unsigned int		adr,rr;
	
	uart0_printf(CRLF"This device driver was created by Applilet for the V850ES/JG2 and V850ES/JJ2"CRLF);
	uart0_printf("UART0 additional library"CRLF);
	uart0_printf("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789"CRLF);
	wait_usl(1000000);

	while (1) {
//		rr=uart0_scanf("%s %X %X",&cmd,&adr,&data);

		uart0_gets(ibuf, 15);		//uBŏ炱ׂH
		rr=sscanf(ibuf,"%c %x",&cmd,&adr);	//uB	Enter:-1 hex:1,2,3... str:0

//		uart0_printf("CMD=%c ADR=%X rr=%d"CRLF,cmd,adr,rr);
		switch(cmd){
			case 'D':	//dump
			case 'd':
				if(rr==2)
					dump(adr);
//				else
//					uart0_puts(CRLF);
				break;
			case 'E':	//edit
			case 'e':	//edit
				if(rr==2)
					edit(adr);
//				else
//					uart0_puts(CRLF);
				break;
			case 'T':	//loopbak test
			case 't':	//loopbak test
				while (1) {
					if(uart0_rx_buff()){
						uart1_putc(uart0_getc());
						PCT.6	^= 1;
					}
					if(uart1_rx_buff()){
						uart0_putc(uart1_getc());
//						PCT.6	^= 1;
					}				}
				break;
			case 'G':	//go
			case 'g':	//go
//				break;
			default:
				uart0_puts(CRLF);
				break;
		}
	}
/*
	while (1) {
		if(uart0_rx_buff()){
			uart0_putc(uart0_getc());
			PCT.6	^= 1;
		}
	}
*/
}
