/*
*******************************************************************************
**
**  This device driver was created by Applilet for the V850ES/JG2, V850ES/JJ2
**  32-Bit Single-Chip Microcontrollers
**
**  Copyright(C) NEC Electronics Corporation 2002-2006
**  All rights reserved by NEC Electronics Corporation
**
**  This program should be used on your own responsibility.
**  NEC Electronics Corporation assumes no responsibility for any losses
**  incurred by customers or third parties arising from the use of this file.
**
**  Filename :	timer.h
**  Abstract :	This file implements a device driver for the timer module
**  APIlib :	V850ESJx2.lib V1.70 [7 Dec. 2006]
**
**  Device :	uPD70F3716
**
**  Compiler :	NEC/CA850
**
*******************************************************************************
*/
#ifndef	_MDTIMER_
#define	_MDTIMER_
/*
***************************************************************************
**  MacroDefine
***************************************************************************
*/
#define	TM_TMP0_CLOCK	0x0
#define	TM_TMP0_INTERVALVALUE	0x00
#define	TM_TMP0_INTERVALVALUE2	0x00
#define	TM_TMP0_ONESHOTOUTPUTCYCLE	0x00
#define	TM_TMP0_ONESHOTOUTPUTDELAY	0x00
#define	TM_TMP0_EXTTRIGGERCYCLE	0x00
#define	TM_TMP0_EXTTRIGGERDELAY	0x00
#define	TM_TMP0_PWMCYCLE	0x00
#define	TM_TMP0_PWMWIDTH	0x00
#define	TM_TMP0_CCR0COMPARE	0x00
#define	TM_TMP0_CCR1COMPARE	0x00
#define	TM_TMP1_CLOCK	0x0
#define	TM_TMP1_INTERVALVALUE	0x00
#define	TM_TMP1_INTERVALVALUE2	0x00
#define	TM_TMP1_ONESHOTOUTPUTCYCLE	0x00
#define	TM_TMP1_ONESHOTOUTPUTDELAY	0x00
#define	TM_TMP1_EXTTRIGGERCYCLE	0x00
#define	TM_TMP1_EXTTRIGGERDELAY	0x00
#define	TM_TMP1_PWMCYCLE	0x00
#define	TM_TMP1_PWMWIDTH	0x00
#define	TM_TMP1_CCR0COMPARE	0x00
#define	TM_TMP1_CCR1COMPARE	0x00
#define	TM_TMP2_CLOCK	0x0
#define	TM_TMP2_INTERVALVALUE	0x00
#define	TM_TMP2_INTERVALVALUE2	0x00
#define	TM_TMP2_ONESHOTOUTPUTCYCLE	0x00
#define	TM_TMP2_ONESHOTOUTPUTDELAY	0x00
#define	TM_TMP2_EXTTRIGGERCYCLE	0x00
#define	TM_TMP2_EXTTRIGGERDELAY	0x00
#define	TM_TMP2_PWMCYCLE	0x00
#define	TM_TMP2_PWMWIDTH	0x00
#define	TM_TMP2_CCR0COMPARE	0x00
#define	TM_TMP2_CCR1COMPARE	0x00
#define	TM_TMP3_CLOCK	0x0
#define	TM_TMP3_INTERVALVALUE	0x00
#define	TM_TMP3_INTERVALVALUE2	0x00
#define	TM_TMP3_ONESHOTOUTPUTCYCLE	0x00
#define	TM_TMP3_ONESHOTOUTPUTDELAY	0x00
#define	TM_TMP3_EXTTRIGGERCYCLE	0x00
#define	TM_TMP3_EXTTRIGGERDELAY	0x00
#define	TM_TMP3_PWMCYCLE	0x00
#define	TM_TMP3_PWMWIDTH	0x00
#define	TM_TMP3_CCR0COMPARE	0x00
#define	TM_TMP3_CCR1COMPARE	0x00
#define	TM_TMP4_CLOCK	0x0
#define	TM_TMP4_INTERVALVALUE	0x00
#define	TM_TMP4_INTERVALVALUE2	0x00
#define	TM_TMP4_ONESHOTOUTPUTCYCLE	0x00
#define	TM_TMP4_ONESHOTOUTPUTDELAY	0x00
#define	TM_TMP4_EXTTRIGGERCYCLE	0x00
#define	TM_TMP4_EXTTRIGGERDELAY	0x00
#define	TM_TMP4_PWMCYCLE	0x00
#define	TM_TMP4_PWMWIDTH	0x00
#define	TM_TMP4_CCR0COMPARE	0x00
#define	TM_TMP4_CCR1COMPARE	0x00
#define	TM_TMP5_CLOCK	0x0
#define	TM_TMP5_INTERVALVALUE	0x00
#define	TM_TMP5_INTERVALVALUE2	0x00
#define	TM_TMP5_ONESHOTOUTPUTCYCLE	0x00
#define	TM_TMP5_ONESHOTOUTPUTDELAY	0x00
#define	TM_TMP5_EXTTRIGGERCYCLE	0x00
#define	TM_TMP5_EXTTRIGGERDELAY	0x00
#define	TM_TMP5_PWMCYCLE	0x00
#define	TM_TMP5_PWMWIDTH	0x00
#define	TM_TMP5_CCR0COMPARE	0x00
#define	TM_TMP5_CCR1COMPARE	0x00
#define	TM_TMQ0_CLOCK	0x0
#define	TM_TMQ0_CLOCK	0x0
#define	TM_TMQ0_INTERVALVALUE	0x00
#define	TM_TMQ0_INTERVALVALUE2	0x00
#define	TM_TMQ0_INTERVALVALUE3	0x00
#define	TM_TMQ0_INTERVALVALUE4	0x00
#define	TM_TMQ0_ONESHOTOUTPUTCYCLE	0x00
#define	TM_TMQ0_ONESHOTOUTPUTDELAY	0x00
#define	TM_TMQ0_ONESHOTOUTPUTDELAY2	0x00
#define	TM_TMQ0_ONESHOTOUTPUTDELAY3	0x00
#define	TM_TMQ0_EXTTRIGGERCYCLE	0x00
#define	TM_TMQ0_EXTTRIGGERDELAY	0x00
#define	TM_TMQ0_EXTTRIGGERDELAY2	0x00
#define	TM_TMQ0_EXTTRIGGERDELAY3	0x00
#define	TM_TMQ0_PWMCYCLE	0x00
#define	TM_TMQ0_PWMWIDTH	0x00
#define	TM_TMQ0_PWMWIDTH2	0x00
#define	TM_TMQ0_PWMWIDTH3	0x00
#define	TM_TMQ0_CCR0COMPARE	0x00
#define	TM_TMQ0_CCR1COMPARE	0x00
#define	TM_TMQ0_CCR2COMPARE	0x00
#define	TM_TMQ0_CCR3COMPARE	0x00
#define	TM_TMM_CLOCK	0x1
#define	TM_TMM_INTERVALVALUE	0x9

extern void TMM_Init( void );
extern void TMM_Start( void );
extern void TMM_Stop( void );
extern void wait_us(unsigned short interval );
extern void wait_usl(unsigned long interval );

#endif
