#ifndef	_UART_H_
#define	_UART_H_

#define RS0 1
#define RS1 1
#define RS2 0

#define INT_TX0	1
#define INT_TX1	1
#define INT_TX2	0
/*--------------------------------------------------------------*/
/* VAʐM֐(FIFOobt@t)                             */
/*--------------------------------------------------------------*/
// NbN20MHz
#define PCLOCK	20000000
#define UART0_BUFF_SIZE	20
#define UART1_BUFF_SIZE	20
#define UART2_BUFF_SIZE	20
typedef enum {		//
  br110    = 0x00,
  br300    = 0x01,
  br1200   = 0x02,
  br2400   = 0x03,
  br4800   = 0x04,
  br9600   = 0x05,
  br14400  = 0x06,
  br19200  = 0x07,
  br28800  = 0x08,
  br38400  = 0x09,
  br57600  = 0x0a,
  br115200 = 0x0b,
  br230400 = 0x0c,
  br460800 = 0x0d,
  br921600 = 0x0e
} TBaudRate;
extern unsigned char M0BaudRate[];
extern unsigned char K0BaudRate[];
extern char ttt[];
typedef struct {
	struct {
		char  *buf;
		short wp;
		short rp;
		short maxlen;
	} txx;
	struct {
		char  *buf;
		short wp;
		short rp;
		short maxlen;
	} rxx;
} UARTFIFO;

// UART0
extern void uart0_init(TBaudRate b, char level, unsigned char bit,unsigned char parity,unsigned char stopBit);	//rs_init
extern short uart0_tx_buff(void);		// rs_tx_buff
extern short uart0_rx_buff(void);		// rs_rx_buff
extern void uart0_rx_purge(void);		// rs_rx_purge
extern void uart0_tx_purge(void);		// rs_tx_purge
extern void uart0_putc(char tx_data);		// rs_putc
extern void uart0_puts(char *str);		// rs_puts
extern void uart0_putsb(char *st, short l);	// rs_putsb
extern char uart0_getc(void);			// rs_getc
extern short uart0_gets(char *s, short len);	// rs_gets
extern int uart0_gets2(char *s, int len);	// rs_gets2
extern char uart0_rx(void);

extern int uart0_printf(const char *format, ...);		// rs_printf
//extern int v_sscanf(char *str, char const *fmt0, va_list ap);
//extern int uart0_scanf(const char *fmt, ...);


// UART1
extern void uart1_init(TBaudRate b, char level, unsigned char bit,unsigned char parity,unsigned char stopBit);	//rs_init
extern short uart1_tx_buff(void);		// rs_tx_buff
extern short uart1_rx_buff(void);		// rs_rx_buff
extern void uart1_rx_purge(void);		// rs_rx_purge
extern void uart1_tx_purge(void);		// rs_tx_purge
extern void uart1_putc(char tx_data);		// rs_putc
extern void uart1_puts(char *str);		// rs_puts
extern void uart1_putsb(char *st, short l);	// rs_putsb
extern char uart1_getc(void);			// rs_getc
extern short uart1_gets(char *s, short len);	// rs_gets
extern int uart1_gets2(char *s, int len);	// rs_gets2
extern char uart1_rx(void);

extern int uart1_printf(const char *format, ...);		// rs_printf


// UART2
extern void uart2_init(TBaudRate b, char level, unsigned char bit,unsigned char parity,unsigned char stopBit);	//rs_init
extern short uart2_tx_buff(void);		// rs_tx_buff
extern short uart2_rx_buff(void);		// rs_rx_buff
extern void uart2_rx_purge(void);		// rs_rx_purge
extern void uart2_tx_purge(void);		// rs_tx_purge
extern void uart2_putc(char tx_data);		// rs_putc
extern void uart2_puts(char *str);		// rs_puts
extern void uart2_putsb(char *st, short l);	// rs_putsb
extern char uart2_getc(void);			// rs_getc
extern short uart2_gets(char *s, short len);	// rs_gets
extern int uart2_gets2(char *s, int len);	// rs_gets2
extern char uart2_rx(void);

extern int uart2_printf(const char *format, ...);		// rs_printf


#define	CRLF	"\r\n"	//0x0d,0x0a CR,LF

#define	uart0_Dprintf(var)	uart0_printf(#var"=%d"CRLF, var) 
#define	uart0_Xprintf(var)	uart0_printf(#var"=%X"CRLF, var) 
#define	uart1_Dprintf(var)	uart1_printf(#var"=%d"CRLF, var) 
#define	uart1_Xprintf(var)	uart1_printf(#var"=%X"CRLF, var) 
#define	uart2_Dprintf(var)	uart2_printf(#var"=%d"CRLF, var) 
#define	uart2_Xprintf(var)	uart2_printf(#var"=%X"CRLF, var) 

#endif	//_UART_H_
/*
   UART
  void uartn_init(TBaudRate b, char level, unsigned char bit,unsigned char parity,unsigned char stopBit)
    b       :{[[g (br9600, br19200, br38400, br57600, br115200)
    level   :荞݃x1`15
    bit     :8 or 7 rbg f[^
    parity  :0:NON 1:EVN 2:ODD	peB[
    stopBit :1 or 2	Xgbvrbg
  y@\z		VA|[g܂D
  ygp@z܂O[oϐœKȃTCY(oCg`\oCgx)̔z2錾܂D
	char txb0[10], rxb0[10];
	ɒʐMʐMxA荞݃xAf[^rbgApeB[AXgbvrbg
	e֐̈ɗ^܂D̗38400[bps]A荞݃x2Af[^rbg8ApeB[ȂAXgbvrbg1A
	ŒʐMƂĂ܂D
	uartn_init(br38400, 2, 8,0,1);
	UART̏ƑMɎgp郊Oobt@̃|C^܂D
	ŊɊ荞݂ƁCȉ̊֐pł悤ɂȂ܂D
   1M
  void uartn_putc(char)
  y@\z		ꂽUARTCӂ1(1oCg)𑗐M܂D
  ygp@z	uartn_putc('A');  // uAv1M
   񑗐M
  void uartn_puts(char *)
  y@\z		ꂽUARTCӂ̕𑗐M܂D
				null^[~l[VȂ̂ŁC񂪑OłD
  ygp@z	uartn_puts("HELLO!");
   oCi񑗐M
  void uartn_putsb(char *, short)
  y@\z		ꂽUARTCӃoCgŃf[^𑗐M܂D
  ygp@z	unsigned char b[]={0,1,2,3,4,5,6,7,8,9,0xa,0xb};
				uartn_putsb(b, sizeof(b));
   Mobt@`FbN
  short uartn_rx_buff(void)
  y@\z		Mobt@ɒ~ꂽoCgԂ܂D
  ygp@z	if (uartn_rx_buff() > 0) uartn_putc(uartn_getc());
   Mobt@`FbN
  short uartn_tx_buff(void)
  y@\z		Mobt@̖MoCgԂ܂D
   Mobt@NA
  void uartn_rx_purge(void)
  y@\z		Mobt@NA܂D
   Mobt@NA
  void uartn_tx_purge(void)
  y@\z		Mobt@NA܂D
   1M
  char uartn_getc(void)
  y@\z	Mobt@ɒ~ꂽ1oCgԂ܂DMobt@̏ꍇ̓obt@
			Ƀf[^1oCgȏ~܂őҋ@܂D
  ygp@z	if (uartn_rx_buff() > 0) uartn_putc(uartn_getc());
   M
  short uartn_gets(char *, short)
  y@\z		CR(LbW^[)LF(CtB[h)M܂ŎMf[^
				wobt@ɒ~܂D
  ygp@z	char b[20];
				uartn_gets(b, sizeof(b) - 1);
				uartn_printf("[%s]\n",b);
   ȈՃtH[}bgo
  int uartn_printf(const char *, ...)
  y@\z		𑗐M܂DCprintfƂقړ̋@\Ă܂D
				ȂC_ɂĂ̓T|[gĂ܂D
				܂A\w9őłB
  ygp@z	uartn_printf("[%4d %04d %02X %02x %s]\n", 100, 200, 1, 4, "TEST");
*/
